  data:extend(
{
  
  
  
  {
    type = "technology",
    name = "napalmic-damage-1",
    icon = "__base__/graphics/technology/flamethrower-turret-damage.png",
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "napalmic",
        modifier = 0.2
      },
      {
        type = "turret-attack",
        turret_id = "napalm-turret",
        modifier = 0.2
      }
    },
    prerequisites = {"petrochem-two-dl"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"military-science-pack", 1},
      },
      time = 45
    },
    upgrade = true,
    order = "e-o-p-a"
  },
  {
    type = "technology",
    name = "napalmic-damage-2",
    icon = "__base__/graphics/technology/flamethrower-turret-damage.png",
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "napalmic",
        modifier = 0.2
      },
      {
        type = "turret-attack",
        turret_id = "napalm-turret",
        modifier = 0.2
      }
    },
    prerequisites = {"napalmic-damage-1"},
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"military-science-pack", 1},
      },
      time = 45
    },
    upgrade = true,
    order = "e-o-p-b"
  },
  {
    type = "technology",
    name = "napalmic-damage-3",
    icon = "__base__/graphics/technology/flamethrower-turret-damage.png",
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "napalmic",
        modifier = 0.3
      },
      {
        type = "turret-attack",
        turret_id = "napalm-turret",
        modifier = 0.3
      }
    },
    prerequisites = {"napalmic-damage-2"},
    unit =
    {
      count = 250,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"military-science-pack", 1},
      },
      time = 60
    },
    upgrade = true,
    order = "e-o-p-c"
  },
  {
    type = "technology",
    name = "napalmic-damage-4",
    icon = "__base__/graphics/technology/flamethrower-turret-damage.png",
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "napalmic",
        modifier = 0.3
      },
      {
        type = "turret-attack",
        turret_id = "napalm-turret",
        modifier = 0.3
      }
    },
    prerequisites = {"napalmic-damage-3"},
    unit =
    {
      count = 250,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"military-science-pack", 1}
      },
      time = 60
    },
    upgrade = true,
    order = "e-o-p-d"
  },
  {
    type = "technology",
    name = "napalmic-damage-5",
    icon = "__base__/graphics/technology/flamethrower-turret-damage.png",
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "napalmic",
        modifier = 0.4
      },
      {
        type = "turret-attack",
        turret_id = "napalm-turret",
        modifier = 0.4
      }
    },
    prerequisites = {"napalmic-damage-4"},
    unit =
    {
      count = 400,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"military-science-pack", 1},
        {"high-tech-science-pack", 1}
      },
      time = 60
    },
    upgrade = true,
    order = "e-o-p-e"
  },
  {
    type = "technology",
    name = "napalmic-damage-6",
    icon = "__base__/graphics/technology/flamethrower-turret-damage.png",
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "napalmic",
        modifier = 0.2
      },
      {
        type = "turret-attack",
        turret_id = "napalm-turret",
        modifier = 0.2
      }
    },
    prerequisites = {"napalmic-damage-5"},
    unit =
    {
      count = 500,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"military-science-pack", 1},
        {"high-tech-science-pack", 1}
      },
      time = 60
    },
    upgrade = true,
    order = "e-o-p-f"
  },
  {
    type = "technology",
    name = "napalmic-damage-7",
    icon = "__base__/graphics/technology/flamethrower-turret-damage.png",
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "napalmic",
        modifier = 0.2
      },
      {
        type = "turret-attack",
        turret_id = "napalm-turret",
        modifier = 0.2
      }
    },
    prerequisites = {"napalmic-damage-6"},
    unit =
    {
      count_formula = "2^(L-7)*1000",
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"military-science-pack", 1},
        {"high-tech-science-pack", 1},
        {"space-science-pack", 1}
      },
      time = 60
    },
    max_level = "infinite",
    upgrade = true,
    order = "e-o-p-f"
  }
  }
  )
  